Bug 1731855 - Add SearchGuard permissions for Jaeger to create index templates.
Summary: Add SearchGuard permissions for Jaeger to create index templates.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.z
Assignee: Pavol Loffay
QA Contact: Anping Li
URL:
Whiteboard:
Depends On: 1732364
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 08:32 UTC by Pavol Loffay
Modified: 2019-08-28 19:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-28 19:54:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2547 None None None 2019-08-28 19:54:59 UTC
Github openshift origin-aggregated-logging pull 1700 None None None 2019-07-26 13:46:59 UTC

Description Pavol Loffay 2019-07-22 08:32:34 UTC
Add SearchGuard permissions for Jaeger to create index templates. 

Jaeger switched from creating indices with supplied mapping to create an index mapping at application startup.

Jaeger jira: https://issues.jboss.org/browse/TRACING-574

Comment 2 Anping Li 2019-08-02 08:52:53 UTC
The fix is in v4.1.9-201907311355. 

jaeger-service-, jaeger-span- templates can be created automatically.

#es_util --query=_template |python -m json.tool |jq '.[].template' 
 ".operations.*" ".orphaned.*" "project.*" ".kibana*" ".orphaned*" ".operations*" "project*" "jaeger-service-" "jaeger-span-" "project.ovirt-metrics-*"

Comment 7 Anping Li 2019-08-16 05:51:47 UTC
Test blocked by https://bugzilla.redhat.com/show_bug.cgi?id=1741753

Comment 8 Anping Li 2019-08-19 06:39:07 UTC
verified in 4.1.12

Comment 12 Anping Li 2019-08-23 05:27:23 UTC
Verified in ose-logging-elasticsearch5:v4.1.13-201908210601

Comment 14 errata-xmlrpc 2019-08-28 19:54:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2547


Note You need to log in before you can comment on or make changes to this bug.